API dead for iOS 4.2.1?

Reply
Highlighted

API dead for iOS 4.2.1?

Trevir
Newbie

Device

iPod 2nd generation (MB model)

Operating System

iOS 4.2.1

 

My Question or Issue

 Recently dug up an old iPod and decided to use it as a second music player. I'm able to log in, but the app will not connect to Spotify services (mobile-ap.spotify.com, ap.gslib.spotify.com, etc). I know that support for the *app itself* on legacy versions of iOS has long been discontinued, but has the API been updated so that legacy devices can no longer connect? This was working a few months ago, and I can't find any news on spotify updating their API. Is this an issue on my end, or will this sad little iPod still sit in my drawer unused?

1 Reply

Re: API dead for iOS 4.2.1?

Rock Star 24
Rock Star 24

Hey @Trevir,

 

Things can stop working, especially in very old versions of any app :/

The current minimum iOS version for Spotify on an iPod Touch is iOS 9.3.5.

 

Since you're using an older version of the app I'm unfortunately unable to provide any support.

MaximRock Star 24
Help others find this answer and click "Accept as Solution".
If you appreciate my answer, maybe give me a Like.
Note: I'm not a Spotify employee.
SUGGESTED POSTS